JaxbPropertyElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbPropertyElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbPropertyElement

All Implemented Interfaces:
  MetaAttributeContainer, SingularAttributeSource

    public class JaxbPropertyElement

extends Object
implements SingularAttributeSource

Java class for property-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="property-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
               <element name="formula" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="type" type="{http://www.hibernate.org/xsd/hibernate-mapping}type-element" minOccurs="0"/>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formula" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="generated" default="never">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                 <enumeration value="always"/>
                 <enumeration value="insert"/>
                 <enumeration value="never"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="index" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="insert" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="lazy" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="not-null" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="optimistic-lock" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="precision" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="scale" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="unique" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="unique-key" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="update" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `access`
`protected String` | `column`
`protected List<Object>` | `columnOrFormula`
`protected String` | `formula`
`protected String` | `generated`
`protected String` | `index`
`protected Boolean` | `insert`
`protected Boolean` | `lazy`
`protected String` | `length`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `name`
`protected String` | `node`
`protected Boolean` | `notNull`
`protected Boolean` | `optimisticLock`
`protected String` | `precision`
`protected String` | `scale`
`protected JaxbTypeElement` | `type`
`protected String` | `typeAttribute`
`protected Boolean` | `unique`
`protected String` | `uniqueKey`
`protected Boolean` | `update`

Constructor Summary
`JaxbPropertyElement()`

Method Summary
`String` | `getAccess()` Gets the value of the access property.
`String` | `getColumn()` Gets the value of the column property.
`List<Object>` | `getColumnOrFormula()` Gets the value of the columnOrFormula property.
`String` | `getFormula()` Gets the value of the formula property.
`String` | `getGenerated()` Gets the value of the generated property.
`String` | `getIndex()` Gets the value of the index property.
`String` | `getLength()` Gets the value of the length property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`String` | `getPrecision()` Gets the value of the precision property.
`String` | `getScale()` Gets the value of the scale property.
`JaxbTypeElement` | `getType()` Gets the value of the type property.
`String` | `getTypeAttribute()` Gets the value of the typeAttribute property.
`String` | `getUniqueKey()` Gets the value of the uniqueKey property.
`Boolean` | `isInsert()` Gets the value of the insert property.
`boolean` | `isLazy()` Gets the value of the lazy property.
`Boolean` | `isNotNull()` Gets the value of the notNull property.
`boolean` | `isOptimisticLock()` Gets the value of the optimisticLock property.
`boolean` | `isUnique()` Gets the value of the unique property.
`Boolean` | `isUpdate()` Gets the value of the update property.
`void` | `setAccess(String value)` Sets the value of the access property.
`void` | `setColumn(String value)` Sets the value of the column property.
`void` | `setFormula(String value)` Sets the value of the formula property.
`void` | `setGenerated(String value)` Sets the value of the generated property.
`void` | `setIndex(String value)` Sets the value of the index property.
`void` | `setInsert(Boolean value)` Sets the value of the insert property.
`void` | `setLazy(Boolean value)` Sets the value of the lazy property.
`void` | `setLength(String value)` Sets the value of the length property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setNotNull(Boolean value)` Sets the value of the notNull property.
`void` | `setOptimisticLock(Boolean value)` Sets the value of the optimisticLock property.
`void` | `setPrecision(String value)` Sets the value of the precision property.
`void` | `setScale(String value)` Sets the value of the scale property.
`void` | `setType(JaxbTypeElement value)` Sets the value of the type property.
`void` | `setTypeAttribute(String value)` Sets the value of the typeAttribute property.
`void` | `setUnique(Boolean value)` Sets the value of the unique property.
`void` | `setUniqueKey(String value)` Sets the value of the uniqueKey property.
`void` | `setUpdate(Boolean value)` Sets the value of the update property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### columnOrFormula

    protected List<Object> columnOrFormula

### type

    protected JaxbTypeElement type

### access

    protected String access

### column

    protected String column

### formula

    protected String formula

### generated

    protected String generated

### index

    protected String index

### insert

    protected Boolean insert

### lazy

    protected Boolean lazy

### length

    protected String length

### name

    protected String name

### node

    protected String node

### notNull

    protected Boolean notNull

### optimisticLock

    protected Boolean optimisticLock

### precision

    protected String precision

### scale

    protected String scale

### typeAttribute

    protected String typeAttribute

### unique

    protected Boolean unique

### uniqueKey

    protected String uniqueKey

### update

    protected Boolean update

Constructor Detail

### JaxbPropertyElement

    public JaxbPropertyElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

  Specified by:
    `getMeta` in interface `MetaAttributeContainer`

### getColumnOrFormula

    public List<Object> getColumnOrFormula()

  Gets the value of the columnOrFormula property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columnOrFormula property.

  For example, to add a new item, do as follows:

          getColumnOrFormula().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnElement` `String`

### getType

    public JaxbTypeElement getType()

  Gets the value of the type property.

  Specified by:
    `getType` in interface `SingularAttributeSource`
  Returns:
    possible object is `JaxbTypeElement`

### setType

    public void setType(JaxbTypeElement value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `JaxbTypeElement`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Specified by:
    `getAccess` in interface `SingularAttributeSource`
  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getColumn

    public String getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `String`

### setColumn

    public void setColumn(String value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `String`

### getFormula

    public String getFormula()

  Gets the value of the formula property.

  Returns:
    possible object is `String`

### setFormula

    public void setFormula(String value)

  Sets the value of the formula property.

  Parameters:
    `value` - allowed object is `String`

### getGenerated

    public String getGenerated()

  Gets the value of the generated property.

  Returns:
    possible object is `String`

### setGenerated

    public void setGenerated(String value)

  Sets the value of the generated property.

  Parameters:
    `value` - allowed object is `String`

### getIndex

    public String getIndex()

  Gets the value of the index property.

  Returns:
    possible object is `String`

### setIndex

    public void setIndex(String value)

  Sets the value of the index property.

  Parameters:
    `value` - allowed object is `String`

### isInsert

    public Boolean isInsert()

  Gets the value of the insert property.

  Returns:
    possible object is `Boolean`

### setInsert

    public void setInsert(Boolean value)

  Sets the value of the insert property.

  Parameters:
    `value` - allowed object is `Boolean`

### isLazy

    public boolean isLazy()

  Gets the value of the lazy property.

  Returns:
    possible object is `Boolean`

### setLazy

    public void setLazy(Boolean value)

  Sets the value of the lazy property.

  Parameters:
    `value` - allowed object is `Boolean`

### getLength

    public String getLength()

  Gets the value of the length property.

  Returns:
    possible object is `String`

### setLength

    public void setLength(String value)

  Sets the value of the length property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Specified by:
    `getName` in interface `SingularAttributeSource`
  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### isNotNull

    public Boolean isNotNull()

  Gets the value of the notNull property.

  Returns:
    possible object is `Boolean`

### setNotNull

    public void setNotNull(Boolean value)

  Sets the value of the notNull property.

  Parameters:
    `value` - allowed object is `Boolean`

### isOptimisticLock

    public boolean isOptimisticLock()

  Gets the value of the optimisticLock property.

  Returns:
    possible object is `Boolean`

### setOptimisticLock

    public void setOptimisticLock(Boolean value)

  Sets the value of the optimisticLock property.

  Parameters:
    `value` - allowed object is `Boolean`

### getPrecision

    public String getPrecision()

  Gets the value of the precision property.

  Returns:
    possible object is `String`

### setPrecision

    public void setPrecision(String value)

  Sets the value of the precision property.

  Parameters:
    `value` - allowed object is `String`

### getScale

    public String getScale()

  Gets the value of the scale property.

  Returns:
    possible object is `String`

### setScale

    public void setScale(String value)

  Sets the value of the scale property.

  Parameters:
    `value` - allowed object is `String`

### getTypeAttribute

    public String getTypeAttribute()

  Gets the value of the typeAttribute property.

  Specified by:
    `getTypeAttribute` in interface `SingularAttributeSource`
  Returns:
    possible object is `String`

### setTypeAttribute

    public void setTypeAttribute(String value)

  Sets the value of the typeAttribute property.

  Parameters:
    `value` - allowed object is `String`

### isUnique

    public boolean isUnique()

  Gets the value of the unique property.

  Returns:
    possible object is `Boolean`

### setUnique

    public void setUnique(Boolean value)

  Sets the value of the unique property.

  Parameters:
    `value` - allowed object is `Boolean`

### getUniqueKey

    public String getUniqueKey()

  Gets the value of the uniqueKey property.

  Returns:
    possible object is `String`

### setUniqueKey

    public void setUniqueKey(String value)

  Sets the value of the uniqueKey property.

  Parameters:
    `value` - allowed object is `String`

### isUpdate

    public Boolean isUpdate()

  Gets the value of the update property.

  Returns:
    possible object is `Boolean`

### setUpdate

    public void setUpdate(Boolean value)

  Sets the value of the update property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.